const colors = {
    light: {
        colorActive: 'rgb(66, 66, 66)',
        borderBottomColorActive: 'rgba(128, 128, 128, 0.35)',
        outlineActive: '1px solid transparent',
        colorTab: '#424242',
        opacityTab: '0.7',
    },
    dark: {
        colorActive: '#e7e7e7',
        borderBottomColorActive: 'rgba(128, 128, 128, 0.35)',
        outlineActive: '1px solid transparent',
        colorTab: '#e7e7e7',
        opacityTab: '0.5',
    },
    hc: {
        colorActive: '#e7e7e7',
        borderBottomColorActive: 'rgb(243, 133, 24)',
        outlineActive: '1px solid rgb(243, 133, 24)',
        colorTab: '#e7e7e7',
        opacityTab: '0.5',
    },
};

export const container = () => ({
        height: '100%',
});

export const tabWrapper = () => ({
    display: 'flex',
    textTransform: 'uppercase',
});

export const tab = (theme) => ({
    marginLeft: '33px',
    marginRight: '5px',
    cursor: 'pointer',
    textOverflow: 'ellipsis',
    fontSize: '11px',
    color: colors[theme.name].colorTab,
    opacity: colors[theme.name].opacityTab,
    borderWidth: '1px',
    borderStyle: 'solid',
    borderColor: 'transparent',
    padding: '3px 0',
});

export const activeTab = (theme) => ({
    color: colors[theme.name].colorActive,
    borderBottomColor: colors[theme.name].borderBottomColorActive,
    opacity: '1!important',
    outline: colors[theme.name].outlineActive,
});
