import { connect } from 'react-redux';

import { resizeWidthAction } from '../../reducers';

import {DefaultSettings, IDefaultSettingsStateProps, IDefaultSettingsDispatchProps} from './DefaultSettings';

const mapStateToProps = (state: any): IDefaultSettingsStateProps => ({
    activeId: state.preferences.active,
    width: state.preferences.width,
});

const mapDispatchToProps = (dispatch): IDefaultSettingsDispatchProps => ({
    resizeWidth: (width: number) => dispatch(resizeWidthAction(width)),
});

const DefaultSettingsWithDataEnhanced: any = connect(mapStateToProps, mapDispatchToProps)(DefaultSettings);

export default DefaultSettingsWithDataEnhanced;
