import { connect } from 'react-redux';
import { graphql, compose, withApollo } from 'react-apollo';
import { createSelector } from 'reselect';

import { resizeWidthAction, setNewLineAction } from '../../reducers';
import { changeEditAction } from '@files-stack/client-redux';

import { HelperPopup, IHelperPopupStateProps, IHelperPopupDispatchProps } from './HelperPopup';

const mapStateToProps = (state: any): IHelperPopupStateProps => ({
    rootPath: state['@files/rootpath'],
});

const mapDispatchToProps = (dispatch): IHelperPopupDispatchProps => ({
    change: (changed: boolean) => dispatch(changeEditAction(changed)),
    setNewLine: (content: string) => dispatch(setNewLineAction(content)),
});

const HelperPopupEnhanced: any = connect(mapStateToProps, mapDispatchToProps)(HelperPopup);

export default HelperPopupEnhanced;
